[Patch] CAM-Tweaks für Multi Channel Decryption

  • Hello HelmutB , was trying to update from 2.4.1 to 2.4.4. Downloaded the patch but I cannot get it to apply cleanly. Am I doing something wrong?


  • Hello again, found that I needed to apply the first patch and then optionally the second. :)


    But still I get this.


    Code
    1. root@timeshift:/home/timeshift/Nedlastinger/vdr-2.4.4# patch -p1 < ../camtweaks-patch/vdr-2.4.4-camtweaks-2.4.1_scaForceNewCat.patch
    2. patching file ci.c
    3. Reversed (or previously applied) patch detected! Assume -R? [n] n
    4. Apply anyway? [n] y
    5. Hunk #1 FAILED at 123.
    6. Hunk #2 FAILED at 154.
    7. Hunk #3 FAILED at 213.
    8. Hunk #4 succeeded at 279 (offset 3 lines).


    Now it does compile so I will give this a whirl. It comes down to my lacking german skills... :D Thanks!

  • Hi Corvy,

    even if your first try with vdr-2.4.4-camtweaks-2.4.1_scaForceNewCat.patchfailed, the file ci.c was partially patched and that's why you got a warning on the second try

    Apply both patches in the right order again, but with a clean vdr-2.4.4 (or the newest vdr-2.4.5) source.
    Helmut


  • Hello HelmutB I did actually revert to original and apply them both again but still the error on the 3 first hunks. When I manually checked I could see that the information was allready there so that might be the issue. I did compile and it works just fine.


    I might go for the newest 2.4.5 source, but I was hesitant due to it not being released yet. Thanks for the support!